﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using EngagexClassObjects.Object_Classes;

namespace EngagexClassObjects.Object_Classes
{
    public class objCalendar_Calendar_CalendarResource
    {
        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;
        void Notify(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
        #endregion

        #region Privates

        private String _Id;
        private String _Name;
        private String _OwningResourceId;

        #endregion

        #region Properties

        public String Id
        {
            get { return _Id; }
            set { _Id = value; Notify("Id"); }
        }

        public String Name
        {
            get { return _Name; }
            set { _Name = value; Notify("Name"); }
        }

        public String OwningResourceId
        {
            get { return _OwningResourceId; }
            set { _OwningResourceId = value; Notify("OwningResourceId"); }
        }

        #endregion
    }
}
